cURL
curl -X GET \
/customer-email-addresses/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/customer-email-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/customer-email-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/customer-email-addresses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"email": "john.doe@example.com",
"receiverName": "John Doe",
"id": "00000000-0000-0000-0000-000000000000",
"isInvoiceEmail": true,
"isDunningEmail": false,
"default": "true"
}Email
Get customer email address
Get customer email address
Required permissions:customer:readGET
/
customer-email-addresses
/
{id}
cURL
curl -X GET \
/customer-email-addresses/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/customer-email-addresses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/customer-email-addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/customer-email-addresses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"email": "john.doe@example.com",
"receiverName": "John Doe",
"id": "00000000-0000-0000-0000-000000000000",
"isInvoiceEmail": true,
"isDunningEmail": false,
"default": "true"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
CustomerEmail identifier
Antwort
CustomerEmail resource
Maximum string length:
255Beispiel:
"john.doe@example.com"
Maximum string length:
255Beispiel:
"John Doe"
Beispiel:
"00000000-0000-0000-0000-000000000000"
Use this email for invoices, credits and financial documents.
Beispiel:
true
Use this email for dunning reminders and payment reminders.
Beispiel:
false
Beispiel:
"true"
War diese Seite hilfreich?